Workspace
update_preferences
Write grantIdempotent
Change your person's email preferences. Only the fields given change. Returns their preferences. Needs write access.
Inputs
productUpdatesbooleanEmails about new Clanker Ship features.
workspaceActivitybooleanA digest of what happened in their workspaces.
tools/callJSON-RPC
{ "jsonrpc": "2.0", "id": 1, "method": "tools/call", "params": { "name": "update_preferences", "arguments": { "productUpdates": false } }}POST/clanker/v1/preferences:update
curl -X POST https://api.clankership.com/clanker/v1/preferences:update \ -H "Authorization: Bearer $CLANKER_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "productUpdates": false }'